For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • POSTCreate Workspace
      • DELDelete Workspace
      • GETGet Workspace
      • GETList Workspaces
      • POSTUpdate Workspace
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceWorkspace

List Workspaces

GET
https://api.astronomer.io/v1/organizations/:organizationId/workspaces
GET
/v1/organizations/:organizationId/workspaces
$curl https://api.astronomer.io/v1/organizations/organizationId/workspaces \
> -H "Authorization: Bearer <token>"
1{
2 "limit": 0,
3 "offset": 0,
4 "totalCount": 0,
5 "workspaces": [
6 {
7 "cicdEnforcedDefault": true,
8 "createdAt": "2023-09-08T12:00:00Z",
9 "id": "clm8t5u4q000008jq4qoc3036",
10 "name": "My Workspace",
11 "organizationId": "clm8t5u4q000008jq4qoc3036",
12 "updatedAt": "2023-09-08T13:30:00Z",
13 "createdBy": {
14 "id": "clm8qv74h000008mlf08scq7k",
15 "apiTokenName": "my-token",
16 "avatarUrl": "https://avatar.url",
17 "fullName": "Jane Doe",
18 "subjectType": "USER",
19 "username": "user1@company.com"
20 },
21 "defaultCloudProvider": "AWS",
22 "defaultClusterId": "clmh9g6zj000008mg77if5wa2",
23 "defaultRegion": "us-east-1",
24 "description": "This is a test workspace",
25 "organizationName": "My Organization",
26 "updatedBy": {
27 "id": "clm8qv74h000008mlf08scq7k",
28 "apiTokenName": "my-token",
29 "avatarUrl": "https://avatar.url",
30 "fullName": "Jane Doe",
31 "subjectType": "USER",
32 "username": "user1@company.com"
33 }
34 }
35 ]
36}
List Workspaces in an Organization
Was this page helpful?
Previous

Update Workspace

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to list Workspaces for.

Query parameters

workspaceIdslist of stringsOptional
A list of IDs for specific Workspaces to list. The API will list information only for Workspaces which have been specified in this list. <br> <Tip> To list multiple Workspaces, you must string together the parameter with the `workspaceIds`. For example, `workspaces?workspaceIds=workspaceId1&workspaceIds=workspaceId2`</Tip>
nameslist of stringsOptional
A list of names for specific Workspaces to filter by. The API will list information only for Workspaces which have been specified in this list.
offsetintegerOptional>=0Defaults to 0
The number of results to skip before returning values.
limitintegerOptional0-1000Defaults to 20
The maximum number of results to return.
sortslist of enumsOptional

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Response

OK
limitinteger
The maximum number of workspaces that can be retrieved per page.
offsetinteger
The offset for the current page of workspaces in the complete result.
totalCountinteger
The total number of Workspaces in the paginated result.
workspaceslist of objects
An array of Workspace objects representing a list of workspaces.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error

A list of IDs for specific Workspaces to list. The API will list information only for Workspaces which have been specified in this list.

To list multiple Workspaces, you must string together the parameter with the workspaceIds. For example, workspaces?workspaceIds=workspaceId1&workspaceIds=workspaceId2